set CMSDK_SWD_BASE            0x50009000
set CMSDK_SWD_DAP_ADDR_CTRL [expr $CMSDK_SWD_BASE + 0x0]
set CMSDK_SWD_DAP_WDATA_CTRL [expr $CMSDK_SWD_BASE + 0x4]
set CMSDK_SWD_SWD_CLK_DIV_CTRL [expr $CMSDK_SWD_BASE + 0x8]
set CMSDK_SWD_DAP_BRIDGE_STATUS [expr $CMSDK_SWD_BASE + 0xc]
set CMSDK_SWD_DAP_RESP_STATUS [expr $CMSDK_SWD_BASE + 0x10]
set CMSDK_SWD_RW_CTRL [expr $CMSDK_SWD_BASE + 0x14]
set CMSDK_SWD_APNDP_CTRL [expr $CMSDK_SWD_BASE + 0x18]
set CMSDK_SWD_TRIGGER_CTRL [expr $CMSDK_SWD_BASE + 0x1c]
set CMSDK_SWD_DAP_RDATA [expr $CMSDK_SWD_BASE + 0x20]
set CMSDK_SWD_DTOP_BYPASS_CTRL [expr $CMSDK_SWD_BASE + 0x24]
set CMSDK_SWD_DTOP_BYPASS_STAT [expr $CMSDK_SWD_BASE + 0x28]
set CMSDK_SWD_DTOP_BYPASS_GPO [expr $CMSDK_SWD_BASE + 0x2c]
set CMSDK_SWD_CORE_ID [expr $CMSDK_SWD_BASE + 0xffc]
